CVE-2002-0938
CVSS7.5
发布时间 :2002-10-04 00:00:00
修订时间 :2008-09-05 16:29:20
NMCOE    

[原文]Cross-site scripting vulnerability in CiscoSecure ACS 3.0 allows remote attackers to execute arbitrary script or HTML as other web users via the action argument in a link to setup.exe.


[CNNVD]Cisco Secure ACS跨站脚本执行漏洞(CNNVD-200210-112)

        
        Cisco Secure ACS是一款由CISCO分发和维护的访问控制和计帐系统。
        Cisco Secure ACS WEB服务程序对通过用户提交给"action"的参数缺少正确的过滤,远程攻击者可以利用此漏洞进行跨站脚本执行攻击。
        Cisco Secure ACS包含WEB组件,其中setup.exe程序对用户提交给"action"参数的数据缺少正确输入验证,攻击者可以提交包含恶意脚本代码的数据给"action"参数,当用户浏览这样的链接时,包含在链接中的恶意代码就会在用户浏览器上执行,导致用户基于Cookie认证的信息泄露。
        此漏洞很明显需要认证用户才能利用,漏洞存在于Microsoft Windows NT操作系统下的Cisco Secure ACS版本。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:cisco:secure_access_control_server:3.0.1
cpe:/a:cisco:secure_access_control_server:3.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0938
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0938
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200210-112
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/5026
(VENDOR_ADVISORY)  BID  5026
http://www.iss.net/security_center/static/9353.php
(VENDOR_ADVISORY)  XF  ciscosecure-web-css(9353)
http://online.securityfocus.com/archive/1/278222
(UNKNOWN)  BUGTRAQ  20020621 Re: XSS in CiscoSecure ACS v3.0
http://archives.neohapsis.com/archives/bugtraq/2002-06/0156.html
(UNKNOWN)  BUGTRAQ  20020614 XSS in CiscoSecure ACS v3.0

- 漏洞信息

Cisco Secure ACS跨站脚本执行漏洞
高危 未知
2002-10-04 00:00:00 2005-05-02 00:00:00
远程  
        
        Cisco Secure ACS是一款由CISCO分发和维护的访问控制和计帐系统。
        Cisco Secure ACS WEB服务程序对通过用户提交给"action"的参数缺少正确的过滤,远程攻击者可以利用此漏洞进行跨站脚本执行攻击。
        Cisco Secure ACS包含WEB组件,其中setup.exe程序对用户提交给"action"参数的数据缺少正确输入验证,攻击者可以提交包含恶意脚本代码的数据给"action"参数,当用户浏览这样的链接时,包含在链接中的恶意代码就会在用户浏览器上执行,导致用户基于Cookie认证的信息泄露。
        此漏洞很明显需要认证用户才能利用,漏洞存在于Microsoft Windows NT操作系统下的Cisco Secure ACS版本。
        

- 公告与补丁

        厂商补丁:
        Cisco
        -----
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.cisco.com/

- 漏洞信息 (21555)

Cisco Secure ACS for Windows NT 3.0 Cross-site Scripting Vulnerability (EDBID:21555)
windows remote
2002-06-14 Verified
0 Dave Palumbo
N/A [点击下载]
source: http://www.securityfocus.com/bid/5026/info

Cisco Secure ACS is an access control and accounting server system. It is distributed and maintained by Cisco, and in this vulnerability affects implementations on the Microsoft Windows NT platform.

It has been discovered that the web server component of the Cisco Secure ACS package allows an attacker to execute cross-site scripting attacks. When this link is visited, the attacker-supplied HTML or script code could be executed in the browser of a user, provided the user has authenticated to the Secure ACS server. 

http://example.com:dyn_port/setup.exe?action=<script>alert('foo+bar')</script>&page=list_users&user=P* 		

- 漏洞信息

5049
CiscoSecure ACS setup.exe action Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Cisco Secure ACS contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate 'action' variables upon submission to 'setup.exe' handler. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2002-07-15 Unknow
2002-07-14 Unknow

- 解决方案

Upgrade to version 3.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站